<?php
require_once('refactoring.php');
//pagination
//number de pages
$perPage = 3;
//fin 
$nombreTotal = pagination();
//numero de page
$noPage=1;
//fin
$pages = ceil($nombreTotal/$perPage);
if (isset($_GET['page'])) {
  $noPage = $_GET['page'];
}
// récuperation de tous les articles de ma BD
$posts = selectAll($noPage,$perPage);
?>

<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-... " crossorigin="anonymous"> 
  <link rel="stylesheet" href="css/style.css">

  <title>Blog-Nice-Soir</title>
</head>

<body>
  <!-- Debut header -->
  <?php include('inc/header.php') ?>
  <!-- Fin header -->
    <section class="hero-section text-center py-2">
      <div class="container">
        <h4 class="animation">Bienvenue sur notre blog d'information Nice-Soir ! Sur cette page d'accueil, 
          vous trouverez une source riche et diversifiée d'articles couvrant une multitude de
           sujets intéressants et pertinents. Que vous soyez passionné par les dernières actualités, 
           les tendances en matière de technologie, les conseils de santé ou les Sport,
           nous avons quelque chose pour vous.</h3>
      </div>
  </section>
  <div class="page-container">
    <!-- Post Slider -->
    <div class="posts">
      <h1 class="posts-title">Articles</h1>
      <div class="post-container">

      <!-- Récuperation des l'articles -->
      <?php foreach($posts as $post):?>
            <div class="post">
              <img src="<?php echo'images/'.$post['image'];?>" alt="" class="slider-image">
              <div class="post-info">
                <h5><a href="single.php?id=<?=$post['id']?>"><?php echo $post['title'];?><br>
                <button type="button" class="btn2 btn-info">voir l'article</button></a></h4>
                <i ><?php echo $post['author']?></i>
                &nbsp;
                <i ><?php echo date('d - m - Y',strtotime($post['created_at']));?></i>
              </div>
            </div>
      <?php endforeach;?>
      </div>
    </div>
    
  <!-- Debut pagination -->
        <div class="pagination">
          <?php
            for ($i=1; $i<=$pages ; $i++) {             
          ?> 
          <a href="index.php?page=<?=$i;?>" class="page <?=($noPage == $i)?'active':''?>"><?= $i ;?></a>
          <?php
            }
          ?>
        </div>
  <!-- Fin pagination -->

  <!-- Debut footer -->
        <?php include('inc/footer.php')?>
  <!-- Fin footer --> 
  <body>
  </html>
